## org.hibernate.hql.internal.ast.tree
Interface PathNode

All Known Implementing Classes:
  AbstractMapComponentNode, DotNode, FromReferenceNode, IdentNode, IndexNode, MapEntryNode, MapKeyNode, MapValueNode, SelectExpressionImpl

    public interface PathNode

An AST node with a path property. This path property will be the fully qualified name.

Method Summary
`String` `getPath()` Returns the full path name represented by the node.

Method Detail

### getPath

    String getPath()

  Returns the full path name represented by the node.

  Returns:
    the full path name represented by the node.

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.